// Generated by CoffeeScript 1.6.3
(function() {
  var config, connection, gracefully_exit, logger;

  global.mongoose || (global.mongoose = require('mongoose'));

  logger = require('modreal-logger');

  config = require('modreal-config');

  logger.info("{mongoose} " + config.mongo);

  mongoose.connect(config.mongo);

  connection = mongoose.connection;

  connection.mongoose = mongoose;

  connection.on('error', function(error) {
    logger.error('{mongoose} connection error');
    return process.exit(1);
  });

  connection.on('connected', function() {
    return logger.info('{mongoose} connected');
  });

  connection.on('disconnected', function() {
    return logger.info('{mongoose} disconnected');
  });

  gracefully_exit = function() {
    return connection.close(process.exit);
  };

  process.on('SIGINT', gracefully_exit);

  process.on('SIGQUIT', gracefully_exit);

  process.on('SIGTERM', gracefully_exit);

  module.exports = connection;

}).call(this);
