global.mongoose ||= require 'mongoose'
logger = require 'modreal-logger'
config = require 'modreal-config'

logger.info "{mongoose} #{config.mongo}"
mongoose.connect config.mongo
connection = mongoose.connection

connection.mongoose = mongoose

connection.on 'error', (error) ->
  logger.error '{mongoose} connection error'
  process.exit(1)

connection.on 'connected', ->
  logger.info '{mongoose} connected'

connection.on 'disconnected', ->
  logger.info '{mongoose} disconnected'

gracefully_exit = ->
  connection.close process.exit

# SIGINT: ctrl-c
process.on 'SIGINT', gracefully_exit

# SIGQUIT: ctrl-\
process.on 'SIGQUIT', gracefully_exit

# SIGTERM: internal message to stop
process.on 'SIGTERM', gracefully_exit

module.exports = connection